All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.form
Class CheckBoxListTag

    com.sas.taglib.servlet.tbeans.form.CheckBoxListTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class CheckBoxListTag

CheckBoxListTag is the tag handler class for the sas:CheckBoxList custom tag . CheckBoxListTag is invoked by the JSP page to evaluate the sas:CheckBoxList custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, CheckBoxList, to execute the methods.

If you need to extend or modify the functionality of the sas:CheckBoxList custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:CheckBoxList custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`accessKey, onBlur, onChange, onClick, onDblClick, onFocus, onKeyDown, onKeyPress, onKeyUp, onMouseDown, onMouseMove, onMouseOut, onMouseOver, onMouseUp, onSelect, styleClassPrefix, tabIndex`

Fields inherited from class com.sas.taglib.BaseBodyTag
`DELIMITERS`

Constructor Summary
`CheckBoxListTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying CheckBoxList object.
`int` | `doEndTag()` Process the end tag.
`int` | `doStartTag()` Processes the start tag for this instance.
`java.lang.String` | `getDescriptionModel()` Gets the descriptionmodel property of the CheckBoxListTag.
`int` | `getMaximumNumberOfSelections()` Returns the maxNumberOfSelections property (int) of the CheckBoxList.
`java.lang.String` | `getMaximumNumberOfSelectionsMessage()` Gets the maxNumberOfSelectionsMessage property of the CheckBoxListTag.
`java.lang.String` | `getModel()` Gets the model property of the CheckBoxListTag.
`boolean` | `getMultipleSelections()` Gets the multiple property of the CheckBoxListTag.
`java.lang.String` | `getPostSelectNodeFunctionName()` Gets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected.
`java.lang.String` | `getPreSelectNodeFunctionName()` Gets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected.
`java.lang.String` | `getSelectedIndexes()` Gets the selectedindexes property of the CheckBoxListTag.
`java.lang.String` | `getSelectedItems()` Gets the selectedItems property of the CheckBoxList.
`java.lang.String` | `getSelectedItemsModel()` Gets the selectedItemsModel property of the ListBoxTag.
`int` | `getSize()` Returns the size property (int) of the CheckBoxList.
`boolean` | `getValidateSelection()` Gets the validateSelection property of the CheckBoxListTag.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setDescriptionModel(java.lang.String descriptionmodel)` Sets the descriptionmodel property (String).
`void` | `setMaximumNumberOfSelections(int maxNumberOfSelections)` Sets the maximumNumberOfSelections property (int) of the CheckBoxList.
`void` | `setMaximumNumberOfSelectionsMessage(java.lang.String maxNumberOfSelectionsMessage)` * Sets the maxNumberOfSelectionsMessage property (String).
`void` | `setModel(java.lang.String model)` Sets the model property (String).
`void` | `setMultipleSelections(boolean multiple)` Sets the multiple property (boolean).
`void` | `setPostSelectNodeFunctionName(java.lang.String postSelectFunctionName)` Sets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected.
`void` | `setPreSelectNodeFunctionName(java.lang.String preSelectFunctionName)` Sets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected.
`void` | `setSelectedIndexes(java.lang.String selectedindexes)` Sets the selectedindex property (int).
`void` | `setSelectedItems(java.lang.String selectedItems)` Sets the selectedItems property (String).
`void` | `setSelectedItemsModel(java.lang.String selectedItemsModel)` * Sets the selectedItemsModel property (String).
`void` | `setSize(int size)` Sets the size property (int) of the CheckBoxList.
`void` | `setValidateSelection(boolean validateSelection)` Sets the validateSelection property (boolean).

Methods inherited from class com.sas.taglib.servlet.tbeans.form.BaseFormElementBodyTag
`getAccessKey, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleClassPrefix, getTabIndex, isEnabled, setAccessKey, setEnabled, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleClassPrefix, setTabIndex`

Methods inherited from class com.sas.taglib.servlet.tbeans.BaseTransformationBodyTag
`getCustomAttributes, getEpilog, getLocale, getName, getObjectDataProperty, getProlog, getRender, getRenderType, setCustomAttributes, setEpilog, setLocale, setName, setObjectDataProperty, setProlog, setRender, setRenderType`

Methods inherited from class com.sas.taglib.BaseBodyTag
`doCatch, doFinally, getApplyAttributes, getBodyStrings, getCompositeComponentKey, getInstantiate, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setCompositeComponentKey, setInstantiate, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### CheckBoxListTag

    public CheckBoxListTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseFormElementBodyTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setModel

    public void setModel(java.lang.String model)

  Sets the model property (String). The model String is used to find the model (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `model` - The model of the CheckBoxList.

### getModel

    public java.lang.String getModel()

  Gets the model property of the CheckBoxListTag.

  Returns:
    the model attribute of the CheckBoxListTag

### setDescriptionModel

    public void setDescriptionModel(java.lang.String descriptionmodel)

  Sets the descriptionmodel property (String). The descriptionmodel String is used to find the descriptionmodel (with in the specified scope) to create the Custom Tag against.

  Parameters:
    `descriptionmodel` - Alternate display name for items in the model at run-time.

### getDescriptionModel

    public java.lang.String getDescriptionModel()

  Gets the descriptionmodel property of the CheckBoxListTag.

  Returns:
    the descriptionmodel attribute of the CheckBoxListTag

### setMultipleSelections

    public void setMultipleSelections(boolean multiple)

  Sets the multiple property (boolean). The multiple String specifies whether or not multiple items can be selected in the ListBox. Valid values are: true or false.

  Parameters:
    `multiple` - Specifies whether or not multiple items can be selected in the CheckBoxList.

### getMultipleSelections

    public boolean getMultipleSelections()

  Gets the multiple property of the CheckBoxListTag.

  Returns:
    the multiple attribute of the CheckBoxListTag

### setValidateSelection

    public void setValidateSelection(boolean validateSelection)

  Sets the validateSelection property (boolean). The validateSelection String specifies whether or not exceptions are thrown for setSelectedIndex() and setSelectedItem(). The default is false. Valid values are: true or false.

  Parameters:
    `validateSelection` - Specifies whether or not exceptions are thrown for setSelectedIndex() and setSelectedItem().

### getValidateSelection

    public boolean getValidateSelection()

  Gets the validateSelection property of the CheckBoxListTag.

  Returns:
    the validateSelection attribute of the CheckBoxListTag

### setSize

    public void setSize(int size)

  Sets the size property (int) of the CheckBoxList. The size String is used to set the number of viewable options at one time in the CheckBoxList.

  Parameters:
    `size` - The viewable size of the CheckBoxList at one time.

### getSize

    public int getSize()

  Returns the size property (int) of the CheckBoxList. The size String is used to set the number of viewable options at one time in the CheckBoxList.

### setSelectedIndexes

    public void setSelectedIndexes(java.lang.String selectedindexes)

  Sets the selectedindex property (int). The selectedindex String is used to select the items located at the specified indexes. The selectedindex String should be one or more integers separated by spaces.

  Parameters:
    `selectedindex` - The selected index of items in the CheckBoxList.

### getSelectedIndexes

    public java.lang.String getSelectedIndexes()

  Gets the selectedindexes property of the CheckBoxListTag.

  Returns:
    the selectedindexes attribute of the CheckBoxListTag

### setSelectedItems

    public void setSelectedItems(java.lang.String selectedItems)

  Sets the selectedItems property (String). The selectedItems String is used to select the items. The selectedItems String should be one or more strings separated by commas.

  Parameters:
    `selectedItems` - The selected items specified in the CheckBoxList.

### getSelectedItems

    public java.lang.String getSelectedItems()

  Gets the selectedItems property of the CheckBoxList.

  Returns:
    the selectedItems attribute of the CheckBoxListTag

### setSelectedItemsModel

    public void setSelectedItemsModel(java.lang.String selectedItemsModel)

  * Sets the selectedItemsModel property (String). The selectedItemsModel String is used to find the selected items model (with in the specified scope) to select the items of the ListBox.

  Parameters:
    `selectedItemsModel` - The model of selected items specified in the ListBox.

### getSelectedItemsModel

    public java.lang.String getSelectedItemsModel()

  Gets the selectedItemsModel property of the ListBoxTag.

  Returns:
    the selectedItemsModel attribute of the ListBoxTag

### setMaximumNumberOfSelections

    public void setMaximumNumberOfSelections(int maxNumberOfSelections)

  Sets the maximumNumberOfSelections property (int) of the CheckBoxList. The maximumNumberOfSelections String is used to set the number of selections that can be made at one time in the CheckBoxList.

  Parameters:
    `maxNumberOfSelections` - The maximum number of selections allowed.

### getMaximumNumberOfSelections

    public int getMaximumNumberOfSelections()

  Returns the maxNumberOfSelections property (int) of the CheckBoxList. The maximumNumberOfSelections String is used to set the number of selections that can be made at one time in the CheckBoxList.

### setMaximumNumberOfSelectionsMessage

    public void setMaximumNumberOfSelectionsMessage(java.lang.String maxNumberOfSelectionsMessage)

  * Sets the maxNumberOfSelectionsMessage property (String). The maximumNumberOfSelectionsMessage String is used to set the message to display when the maximum number of selections have been reached.

  Parameters:
    `maxNumberOfSelectionsMessage` - The maximum number of selections message.

### getMaximumNumberOfSelectionsMessage

    public java.lang.String getMaximumNumberOfSelectionsMessage()

  Gets the maxNumberOfSelectionsMessage property of the CheckBoxListTag.

  Returns:
    the maxNumberOfSelectionsMessage of the CheckBoxListTag

### getPreSelectNodeFunctionName

    public java.lang.String getPreSelectNodeFunctionName()

  Gets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected.

  Returns:
    the name of the user-supplied JavaScript function called prior to normal select behavior when a node is selected.
  See Also:
    `setPreSelectNodeFunctionName(String)`

### setPreSelectNodeFunctionName

    public void setPreSelectNodeFunctionName(java.lang.String preSelectFunctionName)

  Sets the name of a user-supplied JavaScript function which will be called prior to normal select behavior when a node is selected. This function should return a boolean indicating success. A return value of FALSE will stop normal behavior from processing. The function should look similar to `function preSelectNodeFunction(node,el) { ...some user-defined action; return true; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Parameters:
    `the` - name of the JavaScript function called prior to normal select behavior when the node is selected
  See Also:
    `getPreSelectNodeFunctionName()`

### getPostSelectNodeFunctionName

    public java.lang.String getPostSelectNodeFunctionName()

  Gets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected.

  Returns:
    the name of the user-supplied JavaScript function called after the normal select behavior when a node is selected.
  See Also:
    `setPreSelectNodeFunctionName(String)`

### setPostSelectNodeFunctionName

    public void setPostSelectNodeFunctionName(java.lang.String postSelectFunctionName)

  Sets the name of a user-supplied JavaScript function which will be called after the normal select behavior executes when a node is selected. The function should look similar to `function postSelectNodeFunction(node,el) { ...some user-defined action; }` The first parameter is the node being selected. The second parameter is the HTML element representing the node.

  Parameters:
    `the` - name of the JavaScript function called prior to normal select behavior when the node is selected
  See Also:
    `getPreSelectNodeFunctionName()`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs
  See Also:
    `BaseBodyTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying CheckBoxList object.

  Overrides:
    `applyAttributes` in class `BaseFormElementBodyTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end tag. This method will be called on all Tag objects.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseTransformationBodyTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs
  See Also:
    `TagSupport.doEndTag()`, `BaseBodyTag.setInstantiate(boolean)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.